> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - セキュリティ情報

> トークンのセキュリティ情報を取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/{tokenAddress}/security
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/{tokenAddress}/security:
    get:
      tags:
        - Token
      summary: トークン - セキュリティ
      description: トークンのセキュリティ情報を取得
      operationId: get.security
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: トークンセキュリティデータ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenSecurityResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenSecurityResponse:
      type: object
      required:
        - chain
        - address
      properties:
        address:
          type: string
          description: Token contract address
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        chain:
          type: string
          description: Chain name
          example: sol
        devTokenBurnAmount:
          type:
            - string
            - 'null'
          description: Amount of tokens burned by the developer
        devTokenBurnRatio:
          type:
            - string
            - 'null'
          description: Ratio of tokens burned by the developer
        goplus:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/GoPlusSecurityInfo'
              description: GoPlus security data
        honeypot:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/HoneypotIsSecurityInfo'
              description: Honeypot.is security data
        isFreezable:
          type:
            - boolean
            - 'null'
          description: Whether the token accounts can be frozen
        isMintable:
          type:
            - boolean
            - 'null'
          description: Whether the token is mintable
        isShowAlert:
          type:
            - boolean
            - 'null'
          description: Whether to show a security alert badge
        lockInfo:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/LockInfo'
              description: Token liquidity lock information
        privileges:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/PrivilegeInfo'
          description: Token privilege information
        serialized:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SerializedSecurityInfo'
              description: Serialized Audit security data
        sourcesAvailable:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Available security data sources
          example:
            - goplus
    GoPlusSecurityInfo:
      type: object
      required:
        - available
      properties:
        available:
          type: boolean
          description: Whether data is available from this source
          example: true
        buyTax:
          type:
            - string
            - 'null'
          description: Buy tax rate
        chainSupported:
          type:
            - boolean
            - 'null'
          description: Whether this source supports the token chain
          example: true
        holderCount:
          type:
            - string
            - 'null'
        isBlacklisted:
          type:
            - boolean
            - 'null'
          description: Whether the contract has blacklist
        isFreezable:
          type:
            - boolean
            - 'null'
          description: Whether the token accounts can be frozen
        isHoneypot:
          type:
            - boolean
            - 'null'
          description: Whether the token is a honeypot
        isMintable:
          type:
            - boolean
            - 'null'
          description: Whether the token is mintable
        isOpenSource:
          type:
            - boolean
            - 'null'
          description: Whether the contract is open source
        isProxy:
          type:
            - boolean
            - 'null'
          description: Whether it is a proxy contract
        isRenounced:
          type:
            - boolean
            - 'null'
          description: Whether the contract ownership is renounced
        lastRefreshedAt:
          type:
            - string
            - 'null'
          description: Last refresh timestamp
          example: '2026-05-13T10:00:00.000Z'
        lpHolderCount:
          type:
            - string
            - 'null'
        ownerAddress:
          type:
            - string
            - 'null'
        raw:
          description: Raw security data from the source
        sellTax:
          type:
            - string
            - 'null'
          description: Sell tax rate
        totalSupply:
          type:
            - string
            - 'null'
    HoneypotIsSecurityInfo:
      type: object
      required:
        - available
      properties:
        available:
          type: boolean
          example: true
        averageTax:
          type:
            - string
            - 'null'
        buyTax:
          type:
            - string
            - 'null'
        canNotSell:
          type:
            - integer
            - 'null'
          format: int32
        canSell:
          type:
            - integer
            - 'null'
          format: int32
        chainSupported:
          type:
            - boolean
            - 'null'
          example: true
        highTax:
          type:
            - string
            - 'null'
        honeypotResult:
          type:
            - string
            - 'null'
        isHoneypot:
          type:
            - boolean
            - 'null'
        isOpenSource:
          type:
            - boolean
            - 'null'
        isRenounced:
          type:
            - boolean
            - 'null'
        lastRefreshedAt:
          type:
            - string
            - 'null'
          example: '2026-05-13T10:00:00.000Z'
        raw: {}
        sellTax:
          type:
            - string
            - 'null'
    LockInfo:
      type: object
      description: LP lock information for a token.
      properties:
        isLocked:
          type:
            - boolean
            - 'null'
        leftLockPercent:
          type:
            - string
            - 'null'
        lockDetail:
          type:
            - string
            - 'null'
        lockPercent:
          type:
            - string
            - 'null'
        lockTags:
          type: array
          items:
            type: string
    PrivilegeInfo:
      type: object
      description: Privilege information for a token (mint, freeze, update authorities).
      properties:
        address:
          type:
            - string
            - 'null'
        isRenounced:
          type:
            - boolean
            - 'null'
        name:
          type:
            - string
            - 'null'
    SerializedSecurityInfo:
      type: object
      required:
        - available
      properties:
        available:
          type: boolean
          example: true
        chainSupported:
          type:
            - boolean
            - 'null'
          example: true
        isOpenSource:
          type:
            - boolean
            - 'null'
        isProxy:
          type:
            - boolean
            - 'null'
        isRenounced:
          type:
            - boolean
            - 'null'
        isSafe:
          type:
            - boolean
            - 'null'
        lastRefreshedAt:
          type:
            - string
            - 'null'
          example: '2026-05-13T10:00:00.000Z'
        launchpadName:
          type:
            - string
            - 'null'
        ownerAddress:
          type:
            - string
            - 'null'
        raw: {}
        sourceType:
          type:
            - string
            - 'null'
        vulnCount:
          type:
            - integer
            - 'null'
          format: int32
        vulnCriticalCount:
          type:
            - integer
            - 'null'
          format: int32
        vulnMitigatedCount:
          type:
            - integer
            - 'null'
          format: int32
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````